locale not supported by C library, locale unchanged

Imagen de sanchopanza
0 puntos

Hola!

Creo que este es el sitio correcto para colocar mi problemilla...

Estoy instalando Gambit (un mallador para Fluent) en mi Ubuntu 8.04. Ya conseguí instalarlo en Ubuntu 7.10 y hacerlo funcionar, pero ahora estoy teniendo algunos problemas.

Resulta que después de instalarlo (que en realidad es solo descomprimir paquetes), lo ejecuto y me da un error muy extraño que no entiendo bien:

ignacio@ignacio-laptop:~/Programas/Fluent.Inc/bin$ ./gambit
LANG es_ES.UTF-8 changed temporarily to en_CA for gambit use.
Starting /home/ignacio/Programas/Fluent.Inc/gambit2.3.16/lnx86/gambit ...
Gambit build SP2006033020.
Warning: locale not supported by C library, locale unchanged
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0xb28a8767]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xb28a88b1]
#2 /usr/lib/libX11.so.6(_XReply+0xfd) [0xb2b5d1bd]
... (blablabla)

gambit: ../../src/xcb_lock.c:77: _XGetXCBBuffer: Assertion `((int) ((xcb_req) - (dpy->request)) >= 0)' failed.

Received exception: SIGABRT (abort signal)

 

Y el error es más largo... pero creo que el resto no es necesario.

He encontrado un tema del foro que se titula igual que el mio... (no sabía si publicar esto ahí...) pero no me resuelve el problema, porque creo que es un poco antiguo.

 

En fin... a ver si alguien puede echarme una mano

Gracias !

 

Imagen de sanchopanza
+1
0
-1

Bueno... soy un poco novato, pero por lo que parece lo que pasa es bastante frecuente. He leído que ocurría en otros programas cuando Hardy no había salido todavía. Parece ser que es un bug.

Para quien lea esto (que será porque ha tenido un problema similar) diré que no le he encontrado solución alguna. He tenido que reinstalar Gutsy en otra partición, y ahí si que funciona.

Si encuentro alguna solución, la postearé aquí para información de todos...

 

+1
0
-1
Imagen de skorpionn
+1
0
-1

Hola tengo el mismo problema acabo de instalar gambir en mi maquina , y como tu dices en gusty y en feisty funcionaba perfecto, si algien encontro la solucion favor publicarla.

+1
0
-1
Imagen de skorpionn
+1
0
-1

Hola despues de buscar por aqui y por aya sin encontrar mucho, se me ocurrio poner en la consola :

gambit --help

y bueno luego de ver las opciones puse en mi consola:

$gambit -x11

y funciono perfecto ojala te sirva saludos.

pd. Tengo un manual de como instalar tecplot en linux.

+1
0
-1
Imagen de yochule
+1
0
-1

...estoy tratando de empezar con el fluent. la verdad q lo he visto usar y quiero ir aprendiendo un poco. soy aeronautico y en mi pobre facu no tienen la licencia asiq no se enseña...pero bue, lo baje de por ahi y quiero aprender un poco...
el asunto es q instale el fluent (/home/chuleymar/Fluent/Fluent.inc) y tambien instale el gambit. no se si hice macanas, pero cree otra carpeta /home/chuleymar/Fluent/Gambit donde instale el gambit, q tambien me creo otra carpeta Fluent.inc.
bueno, el asunto es q el fluent sale andando desde /home/chuleymar/Fluent/Fluent.inc/bin/ ejecutando el fichero fluent de ahi. pero no logro hacer andar el gambit, si voy a /home/chuleymar/Fluent/Gambit/Fluent.inc/bin a ejecutar el fichero gambit, no hace nada, me dice q no ta instalado, q lo puedo instalar con apt-get (acaso el gambit esta en los repos o es otro soft??!) el fichero ese gambit esta con permisos de ejecucion... no se q es lo q hay q hacer.... tambien probe como contaste vos haciendo un ./gambit y me dice q no existe (desde luego, no esta esa carpeta.... ) y haciendo gambit -x11 o -X11 pasa lo mismo, me dice q lo instale con apt-get
soy novato en linux y en Fluent-Gambit mas todavia...
agradezco si me das una mano para sacarlo andando...
un abrazo

+1
0
-1
Imagen de sanchopanza
+1
0
-1

Me ha funcionado genial !!

Gracias!

+1
0
-1
Imagen de sanchopanza
+1
0
-1

Hola Yochule!

Pues creo que debería funcionar a pesar de estar instalados en distintas carpetas. Lo digo porque durante algún tiempo tuve instalado solo el Gambit y funcionaba bien (así que no creo que tengan librerías ni archivos en común).

Prueba a ejecutarlo desde la terminal ( cd /home/.../Fluent.Ink/bin/ ./gambit -x11) y si hay algún error saldrá por la pantalla. Postéalo aquí, y miraré a ver que puedo hacer...

Por cierto... en que escuela estudias (escuela, que no facultad ! :P)??
Yo también soy un aero-loco. Estudio 4º en Madrid.

Aquí tenemos Fluent, pero solo en algunos departamentos y en una sala especial del centro de cálculo.

Nos vemos !!

+1
0
-1
Imagen de yochule
+1
0
-1

chuleymar@losotro:~/Fluent/Gambit/Fluent.Inc/bin$ ./gambit -x11
Error: directory /home/chuleymar/Fluent/Gambit/Fluent.Inc/gambit[0-9]* does not contain a valid arch.
Set the environment variable FLUENT_ARCH and try again.
chuleymar@losotro:~/Fluent/Gambit/Fluent.Inc/bin$

teneme paciencia, no lo use nunca a este soft, asiq seguro me falta algun detalle tonto q no conozco. lei por ahi q hay q hacer una carpeta para q el gambit meta ahi los ficheros temporales, pero no tengo idea como. estube viendo como ta escrito el ejecutable gambit, pero no veo donde pueda modificarlo para contarle donde buscar la carpeta de los temporales... ni tampoco se si es ese el problema...
yo toy en argentina, estudie en la UNLP
bueno, espero q sea una bobada q me puedas decir como arreglar, y q no sea q no anda este soft en linux amd64
saludos

+1
0
-1
Imagen de skorpionn
+1
0
-1

Hola a todos he publicado en mi blog como instalar los programas

http://tomechat.cl/linux/

Saludos

+1
0
-1
Imagen de yochule
+1
0
-1

.... el problema es q tengo ubuntu amd64 y esoy tratando de instalar el gambit, q esta para 32 bit (dice lnx86!!) soy re nabo...perdon y gracias

+1
0
-1